Package org.eclipse.zest.layouts.progress

# Interface ProgressListener

All Known Implementing Classes:
  `ProgressListener.Stub`

@Deprecated(since="2.0", forRemoval=true) public interface ProgressListener
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This interface will be removed in a future release.
Listens for ProgressEvents which are thrown by layout algorithms at frequent intervals.

@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`ProgressListener.Stub`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.

## Method Summary

Modifier and Type
Method
Description
`void`
`progressEnded(ProgressEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`progressStarted(ProgressEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`progressUpdated(ProgressEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
Called when the progress of a layout changes

## Method Details

### progressStarted

void progressStarted(ProgressEvent e)
Deprecated, for removal: This API element is subject to removal in a future version.

Parameters:
  `e` -

### progressUpdated

void progressUpdated(ProgressEvent e)
Deprecated, for removal: This API element is subject to removal in a future version.
Called when the progress of a layout changes

### progressEnded

void progressEnded(ProgressEvent e)
Deprecated, for removal: This API element is subject to removal in a future version.

Parameters:
  `e` -